import { Component } from 'react';
import { CheckboxProps as NextCheckboxProps } from '@alifd/next/types/checkbox';
interface CheckboxProps extends NextCheckboxProps {
    size?: 'xl' | 'large' | 'medium' | 'small';
}
declare class Checkbox extends Component<CheckboxProps> {
    static Group: typeof import("@alifd/next/types/checkbox").Group;
    render(): JSX.Element;
}
declare const _default: typeof Checkbox;
export default _default;
